Index: /trunk/LMDZ.PLUTO/libf/phypluto/callkeys_mod.F90
===================================================================
--- /trunk/LMDZ.PLUTO/libf/phypluto/callkeys_mod.F90	(revision 3194)
+++ /trunk/LMDZ.PLUTO/libf/phypluto/callkeys_mod.F90	(revision 3195)
@@ -1,4 +1,4 @@
 MODULE callkeys_mod
-IMPLICIT NONE  
+IMPLICIT NONE
 
       logical,save :: callrad,corrk,calldifv,UseTurbDiff
@@ -10,7 +10,7 @@
       logical,save :: callgasvis,continuum,graybody
 !$OMP THREADPRIVATE(callgasvis,continuum,graybody)
-      logical,save :: strictboundcorrk                                     
+      logical,save :: strictboundcorrk
 !$OMP THREADPRIVATE(strictboundcorrk)
-      logical,save :: strictboundcia                                     
+      logical,save :: strictboundcia
 !$OMP THREADPRIVATE(strictboundcia)
 
@@ -57,39 +57,138 @@
 
 !! Pluto-specific variables
-      logical,save :: haze_radproffix,haze_proffix 
-!$OMP THREADPRIVATE(haze_radproffix,haze_proffix)      
-      logical,save :: haze,fasthaze,changeti,changetid,aerohaze         
-!$OMP THREADPRIVATE(haze,fasthaze,changeti,changetid,aerohaze)      
-      logical,save :: fast,metcloud,monoxcloud,glaflow,triton,paleo,nlte,strobel
-!$OMP THREADPRIVATE(fast,metcloud,monoxcloud,glaflow,triton,paleo,nlte,strobel      
-      logical,save :: kbo,nbsub,cooling,mode_n2,thres_n2ice,thres_coice 
-!$OMP THREADPRIVATE(kbo,nbsub,cooling,mode_n2,thres_n2ice,thres_coice)      
-      logical,save :: deltab,nb_monomer                                 
-!$OMP THREADPRIVATE(deltab,nb_monomer)      
-      logical,save :: metlateq,tholateq,metls1,metls2                   
-!$OMP THREADPRIVATE(metlateq,tholateq,metls1,metls2)      
-      logical,save :: mode_ch4,mode_tholins                             
-!$OMP THREADPRIVATE(mode_ch4,mode_tholins)      
-      logical,save :: source_haze,ch4lag,latlag,vmrlag,kfix,hazeconservch4      
-!$OMP THREADPRIVATE(source_haze,ch4lag,latlag,vmrlag,kfix,hazeconservch4)      
-      logical,save :: fracsource,latsource,lonsource                    
-!$OMP THREADPRIVATE(fracsource,latsource,lonsource)      
-      logical,save :: spelon1,spelon2,spelat1,spelat2,specalb           
-!$OMP THREADPRIVATE(spelon1,spelon2,spelat1,spelat2,specalb)      
-      logical,save :: assymflux,mode_hs,tsurfmax,albmin_ch4
-!$OMP THREADPRIVATE(assymflux,mode_hs,tsurfmax,albmin_ch4)      
-      logical,save :: feedback_met,thres_ch4ice,fdch4_latn,fdch4_lats   
-!$OMP THREADPRIVATE(feedback_met,thres_ch4ice,fdch4_latn,fdch4_lats)      
-      logical,save :: globmean1d,kmix_proffix,rad_haze          
-!$OMP THREADPRIVATE(globmean1d,kmix_proffix,rad_haze)      
-      logical,save :: fdch4_lone,fdch4_lonw,fdch4_maxalb,fdch4_depalb,fdch4_finalb
-!$OMP THREADPRIVATE(fdch4_lone,fdch4_lonw,fdch4_maxalb,fdch4_depalb,fdch4_finalb      
-      logical,save :: tholatn,tholats,tholone,tholonw                   
-!$OMP THREADPRIVATE(tholatn,tholats,tholone,tholonw)      
-      logical,save :: fdch4_ampl,fdch4_maxice,condmetsurf,condcosurf,vertdiff   
-!$OMP THREADPRIVATE(fdch4_ampl,fdch4_maxice,condmetsurf,condcosurf,vertdiff)      
-      logical,save :: convergeps,conservn2,patchflux,condensn2,no_n2frost
-!$OMP THREADPRIVATE(convergeps,conservn2,patchflux,condensn2,no_n2frost      
-
+      logical,save :: methane,carbox
+      !$OMP THREADPRIVATE(methane,carbox)
+      logical,save :: haze,haze_proffix,haze_radproffix
+!$OMP THREADPRIVATE(haze,haze_proffix,haze_radproffix)
+      logical,save :: fasthaze,changeti,changetid,aerohaze,fractal
+!$OMP THREADPRIVATE(fasthaze,changeti,changetid,aerohaze,fractal)
+      logical,save :: fast,metcloud,monoxcloud,glaflow,triton,paleo
+!$OMP THREADPRIVATE(fast,metcloud,monoxcloud,glaflow,triton,paleo)
+      logical,save :: nlte,strobel
+!$OMP THREADPRIVATE(nlte,strobel)
+      logical,save :: kbo
+!$OMP THREADPRIVATE(kbo)
+      logical,save :: cooling
+!$OMP THREADPRIVATE(cooling)
+      logical,save :: source_haze,hazeconservch4
+!$OMP THREADPRIVATE(source_haze,hazeconservch4)
+      logical,save :: ch4lag,tsurfmax
+!$OMP THREADPRIVATE(ch4lag,tsurfmax)
+      logical,save :: specalb
+!$OMP THREADPRIVATE(specalb)
+      logical,save :: assymflux
+!$OMP THREADPRIVATE(assymflux)
+      logical,save :: condmetsurf,condcosurf,vertdiff
+!$OMP THREADPRIVATE(condmetsurf,condcosurf,vertdiff)
+      logical,save :: convergeps,conservn2,condensn2,no_n2frost
+!$OMP THREADPRIVATE(convergeps,conservn2,condensn2,no_n2frost)
+      logical,save :: globmean1d,kmix_proffix
+!$OMP THREADPRIVATE(globmean1d,kmix_proffix)
+      integer,save :: nbsub
+!$OMP THREADPRIVATE(nbsub)
+      integer,save :: mode_n2
+!$OMP THREADPRIVATE(mode_n2)
+      integer,save :: mode_ch4
+!$OMP THREADPRIVATE(mode_ch4)
+      integer,save :: mode_tholins
+!$OMP THREADPRIVATE(mode_tholins)
+      integer,save :: kfix
+!$OMP THREADPRIVATE(kfix)
+      integer,save :: mode_hs
+!$OMP THREADPRIVATE(mode_hs)
+      integer,save :: feedback_met
+!$OMP THREADPRIVATE(feedback_met)
+      integer,save :: patchflux
+!$OMP THREADPRIVATE(patchflux)
+      integer,save :: nb_monomer
+!$OMP THREADPRIVATE(nb_monomer)
+      real,save    :: Nmix_co
+!$OMP THREADPRIVATE(Nmix_co)
+      real,save    :: Nmix_ch4
+!$OMP THREADPRIVATE(Nmix_ch4)
+      real,save    :: tau_n2
+!$OMP THREADPRIVATE(tau_n2)
+      real,save    :: tau_ch4
+!$OMP THREADPRIVATE(tau_ch4)
+      real,save    :: tau_co
+!$OMP THREADPRIVATE(tau_co)
+      real,save    :: tau_prechaze
+!$OMP THREADPRIVATE(tau_prechaze)
+      real,save    :: paleoyears
+!$OMP THREADPRIVATE(paleoyears)
+      real,save    :: dayfrac
+!$OMP THREADPRIVATE(dayfrac)
+      real,save    :: thresh_non2
+!$OMP THREADPRIVATE(thresh_non2)
+      real,save    :: vmrch4fix
+!$OMP THREADPRIVATE(vmrch4fix)
+      real,save    :: fluxgeo
+!$OMP THREADPRIVATE(fluxgeo)
+      real,save    :: fluxgeo2
+!$OMP THREADPRIVATE(fluxgeo2)
+      real,save    :: deltab
+!$OMP THREADPRIVATE(deltab)
+      real,save    :: metlateq
+!$OMP THREADPRIVATE(metlateq)
+      real,save    :: metls1
+!$OMP THREADPRIVATE(metls1)
+      real,save    :: metls2
+!$OMP THREADPRIVATE(metls2)
+      real,save    :: tholateq
+!$OMP THREADPRIVATE(tholateq)
+      real,save    :: tholatn
+!$OMP THREADPRIVATE(tholatn)
+      real,save    :: tholats
+!$OMP THREADPRIVATE(tholats)
+      real,save    :: tholone
+!$OMP THREADPRIVATE(tholone)
+      real,save    :: tholonw
+!$OMP THREADPRIVATE(tholonw)
+      real,save    :: spelon1
+!$OMP THREADPRIVATE(spelon1)
+      real,save    :: spelat2
+!$OMP THREADPRIVATE(spelat2)
+      real,save    :: spelat1
+!$OMP THREADPRIVATE(spelat1)
+      real,save    :: spelon2
+!$OMP THREADPRIVATE(spelon2)
+      real,save    :: latlag
+!$OMP THREADPRIVATE(latlag)
+      real,save    :: vmrlag
+!$OMP THREADPRIVATE(vmrlag)
+      real,save    :: albmin_ch4
+!$OMP THREADPRIVATE(albmin_ch4)
+      real,save    :: fracsource
+!$OMP THREADPRIVATE(fracsource)
+      real,save    :: latsource
+!$OMP THREADPRIVATE(latsource)
+      real,save    :: lonsource
+!$OMP THREADPRIVATE(lonsource)
+      real,save    :: thres_ch4ice
+!$OMP THREADPRIVATE(thres_ch4ice)
+      real,save    :: thres_n2ice
+!$OMP THREADPRIVATE(thres_n2ice)
+      real,save    :: thres_coice
+!$OMP THREADPRIVATE(thres_coice)
+      real,save    :: fdch4_latn
+!$OMP THREADPRIVATE(fdch4_latn)
+      real,save    :: fdch4_lats
+!$OMP THREADPRIVATE(fdch4_lats)
+      real,save    :: fdch4_lone
+!$OMP THREADPRIVATE(fdch4_lone)
+      real,save    :: fdch4_lonw
+!$OMP THREADPRIVATE(fdch4_lonw)
+      real,save    :: fdch4_maxice
+!$OMP THREADPRIVATE(fdch4_maxice)
+      real,save    :: fdch4_maxalb
+!$OMP THREADPRIVATE(fdch4_maxalb)
+      real,save    :: fdch4_ampl
+!$OMP THREADPRIVATE(fdch4_ampl)
+      real,save    :: fdch4_depalb
+!$OMP THREADPRIVATE(fdch4_depalb)
+      real,save    :: fdch4_finalb
+!$OMP THREADPRIVATE(fdch4_finalb)
+      real,save    :: rad_haze
+!$OMP THREADPRIVATE(rad_haze)
 
       logical,save :: global1d
@@ -169,10 +268,10 @@
       real,save :: kmixmin
 !$OMP THREADPRIVATE(kmixmin)
-      
+
       logical,save :: iscallphys=.false.!existence of callphys.def
 !$OMP THREADPRIVATE(iscallphys)
 
       ! do we read a startphy.nc file (default=.true.)
-      logical,save :: startphy_file=.true. 
+      logical,save :: startphy_file=.true.
 !$OMP THREADPRIVATE(startphy_file)
 
Index: /trunk/LMDZ.PLUTO/libf/phypluto/callsedim.F
===================================================================
--- /trunk/LMDZ.PLUTO/libf/phypluto/callsedim.F	(revision 3194)
+++ /trunk/LMDZ.PLUTO/libf/phypluto/callsedim.F	(revision 3195)
@@ -6,5 +6,5 @@
       ! use radii_mod, only: h2o_reffrad
       ! use aerosol_mod, only : iaero_h2o
-      USE tracer_h, only : igcm_n2_ice,radius,rho_q
+      USE tracer_h, only : igcm_haze,radius,rho_q
       use comcstfi_mod, only: g
 
@@ -12,15 +12,15 @@
 
 !==================================================================
-!     
+!
 !     Purpose
 !     -------
 !     Calculates sedimentation of aerosols depending on their
 !     density and radius.
-!     
+!
 !     Authors
 !     -------
 !     F. Forget (1999)
 !     Tracer generalisation by E. Millour (2009)
-!     
+!
 !==================================================================
 
@@ -43,5 +43,5 @@
       real,intent(in) :: pdqfi(ngrid,nlay,nq)  ! tendency on tracers before
                                                ! sedimentation (kg/kg.s-1)
-      
+
       real,intent(out) :: pdqsed(ngrid,nlay,nq) ! tendency due to sedimentation (kg/kg.s-1)
       real,intent(out) :: pdqs_sed(ngrid,nq)    ! flux at surface (kg.m-2.s-1)
@@ -53,5 +53,5 @@
 
       ! for particles with varying radii:
-      real,allocatable,save :: reffrad(:,:,:) ! particle radius (m) 
+      real,allocatable,save :: reffrad(:,:,:) ! particle radius (m)
       real,allocatable,save :: nueffrad(:,:,:) ! aerosol effective radius variance
 !$OMP THREADPRIVATE(reffrad,nueffrad)
@@ -80,5 +80,5 @@
         allocate(nueffrad(ngrid,nlay,naerkind))
       ENDIF ! of IF (firstcall)
-      
+
 !=======================================================================
 !     Preliminary calculation of the layer characteristics
@@ -87,5 +87,5 @@
       do  l=1,nlay
         do ig=1, ngrid
-          masse(ig,l)=(pplev(ig,l) - pplev(ig,l+1)) /g 
+          masse(ig,l)=(pplev(ig,l) - pplev(ig,l+1)) /g
           epaisseur(ig,l)= zlev(ig,l+1) - zlev(ig,l)
           zt(ig,l)=pt(ig,l)+pdt(ig,l)*ptimestep
@@ -97,25 +97,25 @@
 ! [This has been rearranged by L. Kerber to allow the sedimentation
 !  of general tracers.]
- 
+
       do iq=1,nq
-       if((radius(iq).gt.1.e-9).and.(iq.ne.igcm_n2_ice)) then ! JVO 08/2017 : be careful radius was tested uninitialized (fixed) ... 
-       
-!         (no sedim for gases, and n2_ice sedim is done in condense_n2)      
+       if((radius(iq).gt.1.e-9).and.(iq.ne.igcm_haze)) then ! JVO 08/2017 : be careful radius was tested uninitialized (fixed) ...
+
+!         (no sedim for gases, and n2_ice sedim is done in condense_n2)
 
 ! store locally updated tracers
 
-          do l=1,nlay 
+          do l=1,nlay
             do ig=1, ngrid
               zqi(ig,l,iq)=pq(ig,l,iq)+pdqfi(ig,l,iq)*ptimestep
             enddo
           enddo ! of do l=1,nlay
-        
+
 !======================================================================
-! Sedimentation 
+! Sedimentation
 !======================================================================
 ! Water      !AF24: deleted
 
 ! ! General Case
-!        else 
+!        else
              call newsedim(ngrid,nlay,1,ptimestep,
      &            pplev,masse,epaisseur,zt,radius(iq),rho_q(iq),
